> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get User Details

GET https://api-b2b.bigcommerce.com/api/v3/io/users/{userId}

Returns detailed user information for the user specified by `userId`. Unlike [Get All Users](#get-all-users), this endpoint includes extra fields by default.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/users/companies-user-by-id

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `userId` (integer, required) — The unique identifier of the user as reported by [Get All Users](#get-all-users).

## Response

### 200

Success

- `code` (integer, optional, default: 200) — Operation status code.
- `data` (userResponse, optional)
- `meta` (UsersUserIdGetResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 404 Not Found Error

Not Found

- `code` (integer, optional, default: 404) — Operation status code.
- `data` (UsersUserIdGetResponsesContentApplicationJsonSchemaData, optional)
- `meta` (UsersUserIdGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### userResponse

- `id` (integer, optional)
- `firstName` (string, optional) — User's first name.
- `lastName` (string, optional) — User's last name.
- `email` (string, optional) — User's email address. This must be unique within B2B Edition.
- `phoneNumber` (string, optional) — User's phone number.
- `role` (enum, optional) — Numeric code representing the user's role as admin (`0`), senior buyer (`1`), or junior buyer (`2`).
  - Allowed values: `0`, `1`, `2`
- `companyRoleId` (integer, optional) — Numeric code representing the user's Company-specific role. When present this field overrides the value of the `role` field.
- `uuid` (string, optional) — External identifier for the user. This field may be used to represent any external user ID. Using the name `uuid`, B2B Edition does not require the field to be unique.
- `extraFields` (list of extraField, optional)
- `companyId` (integer, optional) — The unique numeric ID associated with the user's B2B Edition Company account.
- `createdAt` (integer, optional) — The [Unix timestamp](https://www.unixtimestamp.com/) for when the user's account was created.
- `updatedAt` (integer, optional) — The [Unix timestamp](https://www.unixtimestamp.com/) for when the user's account was last modified.
- `customerId` (integer, optional) — The unique numeric ID associated with the user's BigCommerce customer account.
- `companyRoleName` (string, optional) — Display name of the user's Company-specific role.
- `channelList` (list of UserResponseChannelListItems, optional) — Channels the user is assigned to.

### UsersUserIdGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional, default: Not Found Error) — Human-readable status message.

### UsersUserIdGetResponsesContentApplicationJsonSchemaData

- `errMsg` (string, optional, default: User matching query does not exist.)

### extraField

- `fieldName` (string, optional) — The name of the extra field displayed in B2B Edition.
- `fieldValue` (string, optional) — The user-specific value of the extra field.

### UserResponseChannelListItems

- `channelId` (integer, optional) — The unique numeric ID associated with the channel.
- `channelName` (string, optional) — The display name of the channel, as shown in BigCommerce.
- `iconUrl` (string, optional) — The icon associated with the channel's type.

## Examples

**Response**

```json
{
  "code": 200,
  "data": {
    "id": 1,
    "firstName": "Marie",
    "lastName": "Curie",
    "email": "john.doe@example.com",
    "phoneNumber": "+1-555-123-4567",
    "role": 1,
    "companyRoleId": 10,
    "uuid": "user-uuid-1",
    "extraFields": [
      {
        "fieldName": "customField1",
        "fieldValue": "value1"
      }
    ],
    "companyId": 42,
    "createdAt": 1,
    "updatedAt": 1,
    "customerId": 12345,
    "companyRoleName": "Approver",
    "channelList": [
      {
        "channelId": 1,
        "channelName": "Default Storefront",
        "iconUrl": "https://s3.amazonaws.com/bc-channel-platform/channel-icons/bigcommerce.svg"
      }
    ]
  },
  "meta": {
    "message": "Success"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/users/123"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/users/123';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/users/123"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/users/123")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/users/123")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/users/123', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/users/123");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/users/123")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```